<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <title>Note List</title>
  </head>
  <body>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <h1>Welcome</h1>
    <table id="mytable">
      <tr>
        <th>Title</th>
        <th>From</th>
        <th>To</th>
        <th>Message</th>
        <th>Actions</th>
      </tr>
      <!-- TODO loop from Friend model -->
      <!-- EXAMPLE SECTION -->
      
      
      <!-- END SECTION -->
    </table>
</html>

<script>
  $(document).ready(function() {
      
      $.ajax({
          url: 'returnJSON',
          dataType: 'json',
          success: function(data){
              var array_items = JSON.parse(data);
              for (let i = 0; i < array_items.length; i++) {
                  const element = array_items[i];
                  $('#mytable').append($('<tr>')
                      .append($('<td>').append(array_items[i].title))
                      .append($('<td>').append(array_items[i].froms))
                      .append($('<td>').append(array_items[i].to))
                      .append($('<td>').append(array_items[i].message))
                      .append($('<td>').append('<button type="button" id="view">View</button>'))
                      .append($('<td>').append('<button type="button">Edit</button>'))
                      .append($('<td>').append('<button type="button">Delete</button>'))
                  )
              }
          }
      });
      
  });
</script>

<script>
  $(document).ready(function(){
    $('#view').click(function(){
      $.ajax({})
    });
  });
</script>